/* dtkConfig.h.in --- 
 * 
 * Author: Julien Wintz
 * Copyright (C) 2008 - Julien Wintz, Inria.
 * Created: Tue Mar 15 17:04:44 2011 (+0100)
 * Version: $Id$
 * Last-Updated: mar. janv. 15 16:10:38 2013 (+0100)
 *           By: Nicolas Niclausse
 *     Update #: 20
 */

/* Commentary: 
 * 
 */

/* Change log:
 * 
 */

#ifndef DTKCONFIG_H
#define DTKCONFIG_H

#define DTK_VERSION_MAJOR @dtk_VERSION_MAJOR@
#define DTK_VERSION_MINOR @dtk_VERSION_MINOR@
#define DTK_VERSION_BUILD @dtk_VERSION_BUILD@

#cmakedefine DTK_PLATFORM_32
#cmakedefine DTK_PLATFORM_64

#cmakedefine DTK_HAVE_MPI
#cmakedefine DTK_HAVE_EDIT
#cmakedefine DTK_HAVE_NITE
#cmakedefine DTK_HAVE_VRPN
#cmakedefine DTK_HAVE_PLOT
#cmakedefine DTK_HAVE_PYTHON

#cmakedefine DTK_BUILD_DISTRIBUTED
#cmakedefine DTK_BUILD_MPI
#cmakedefine DTK_BUILD_PLOT
#cmakedefine DTK_BUILD_COMPOSER
#cmakedefine DTK_BUILD_SCRIPT
#cmakedefine DTK_BUILD_VR
#cmakedefine DTK_BUILD_WRAPPERS

#define DTK_SOURCE_PATH "@CMAKE_SOURCE_DIR@"

#endif
